package javax.swing.plaf.synth;

import java.awt.Graphics;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;

public class SynthCheckBoxUI extends SynthRadioButtonUI
{
    public SynthCheckBoxUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        return new SynthCheckBoxUI();
    }
    
    @Override
    protected String getPropertyPrefix() {
        return "CheckBox.";
    }
    
    @Override
    void paintBackground(SynthContext synthContext, Graphics graphics, JComponent component) {
        synthContext.getPainter().paintCheckBoxBackground(synthContext, graphics, 0, 0, component.getWidth(), component.getHeight());
    }
    
    @Override
    public void paintBorder(SynthContext synthContext, Graphics graphics, int n, int n2, int n3, int n4) {
        synthContext.getPainter().paintCheckBoxBorder(synthContext, graphics, n, n2, n3, n4);
    }
}
